openapi: 3.1.0
info:
  title: polyprint.v1
  version: "1.0"
servers:
- description: dev
  url: https://polyprint.slace.dev/v1
paths:
  /integrations/{organization_id}/sso-link:
    parameters:
    - explode: false
      in: path
      name: organization_id
      required: true
      schema: {}
      style: simple
    post:
      operationId: getUserSSOLink
      parameters:
      - explode: false
        in: path
        name: organization_id
        required: true
        schema: {}
        style: simple
      responses:
        "200":
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/getUserSSOLink_200_response'
          description: OK
      summary: Get user sso link
      tags: []
      x-stoplight:
        id: c8d75gj3l6lfd
  /integrations/{organization_id}/nfc-order:
    parameters:
    - explode: false
      in: path
      name: organization_id
      required: true
      schema: {}
      style: simple
    post:
      operationId: nfcOrder
      parameters:
      - explode: false
        in: path
        name: organization_id
        required: true
        schema: {}
        style: simple
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/nfcOrder_request'
      responses:
        "200":
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/nfcOrder_200_response'
          description: OK
      summary: NFC Order
      tags: []
      x-stoplight:
        id: jznbhb0j0jwzc
  /integrations/{organization_id}/nfc-reorder:
    parameters:
    - explode: false
      in: path
      name: organization_id
      required: true
      schema: {}
      style: simple
    post:
      description: Reorder NFC for user which already had at least one existing order
        before. Entrypointfrom the last order will be reused.
      operationId: nfcReorder
      parameters:
      - explode: false
        in: path
        name: organization_id
        required: true
        schema: {}
        style: simple
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/nfcReorder_request'
      responses:
        "200":
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/nfcReorder_200_response'
          description: OK
      summary: Reorder NFC
      tags: []
      x-stoplight:
        id: hummp88nxpgsw
  /integrations/{organization_id}/nfc-orders:
    get:
      operationId: listNfcOrders
      parameters:
      - explode: true
        in: query
        name: "user_ids[]"
        required: false
        schema: {}
        style: form
      - explode: false
        in: path
        name: organization_id
        required: true
        schema: {}
        style: simple
      responses:
        "200":
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/listNfcOrders_200_response'
          description: OK
      summary: List NFC orders for users
      tags: []
      x-stoplight:
        id: sie82001zz8gt
    parameters:
    - explode: false
      in: path
      name: organization_id
      required: true
      schema: {}
      style: simple
  /integrations/{organization_id}/print-orders:
    get:
      parameters:
      - explode: true
        in: query
        name: "user_ids[]"
        required: false
        schema:
          items: {}
        style: form
      - explode: true
        in: query
        name: channel_id
        required: false
        schema: {}
        style: form
      - explode: false
        in: path
        name: organization_id
        required: true
        schema: {}
        style: simple
      responses:
        "200":
          content:
            application/json:
              schema:
                items:
                  properties:
                    id: {}
                    file_urls:
                      items: {}
                    job_status:
                      x-stoplight:
                        id: uvjiyf65yn664
                    status:
                      x-stoplight:
                        id: 2753b17uxf5l6
                    customer_experience_id:
                      x-stoplight:
                        id: w5ao8qcfqugqc
                    channel_id:
                      x-stoplight:
                        id: dkiouks46n0jv
                    organization_id:
                      x-stoplight:
                        id: 7at0y6h2jylcg
                    print_type:
                      x-stoplight:
                        id: 1nzd9vzwcp5bm
                    document_id:
                      x-stoplight:
                        id: sez3yvcn9ks3r
                    user_id:
                      x-stoplight:
                        id: cgvrs2vhunhqq
                    expected_delivery:
                      x-stoplight:
                        id: 235zv2qjlr22q
          description: List of print orders
      summary: Get list of print orders
      tags: []
    parameters:
    - explode: false
      in: path
      name: organization_id
      required: true
      schema: {}
      style: simple
    post:
      operationId: createPrintOrder
      parameters:
      - explode: false
        in: path
        name: organization_id
        required: true
        schema: {}
        style: simple
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/createPrintOrder_request'
      responses:
        "200":
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/createPrintOrder_200_response'
          description: OK
      summary: Create print order
      tags: []
      x-stoplight:
        id: svsvl0kq26pl7
components:
  schemas:
    PolyprintContact:
      properties:
        emailAddress:
          x-stoplight:
            id: uhevls8wuv169
        phone:
          x-stoplight:
            id: wq1j8wirqbs14
        firstname:
          x-stoplight:
            id: yigod3ze1h9fm
        lastname:
          x-stoplight:
            id: sytmgsi2tyswe
        company:
          x-stoplight:
            id: 1diaxtwf9c34u
        gender:
          x-stoplight:
            id: ujnwtyeeauy15
        academicTitle:
          x-stoplight:
            id: ev5k1fyqmvi9l
        countryId:
          x-stoplight:
            id: um1kcq70p03q8
        address:
          $ref: '#/components/schemas/PolyprintContact_address'
      title: PolyprintContact
      x-stoplight:
        id: upawchwgb57rt
    getUserSSOLink_200_response:
      example:
        link: ""
      properties:
        link:
          x-stoplight:
            id: oehffrv97cwpa
    nfcOrder_request_address:
      properties:
        company_name:
          x-stoplight:
            id: 1cr9b45smga1c
        recipient:
          description: "example: Johny Bobby"
          x-stoplight:
            id: s9aluiavdifpj
        street_with_house_number:
          x-stoplight:
            id: e2a0orj3pcwzs
        zip:
          x-stoplight:
            id: 0sqi9fdny6rbd
        city:
          x-stoplight:
            id: fr43z0sembepd
      x-stoplight:
        id: ar8zor89iaw6q
    nfcOrder_request:
      properties:
        address:
          $ref: '#/components/schemas/nfcOrder_request_address'
        channel_id:
          x-stoplight:
            id: 3br4qr5qzhj08
        customer_experience_id:
          x-stoplight:
            id: 9wkv1fkyxfmbg
        user_id:
          x-stoplight:
            id: ka0dkqieo59hv
    nfcOrder_200_response:
      example:
        link: ""
      properties:
        link:
          x-stoplight:
            id: xiixjaqc8iuol
    nfcReorder_request_address:
      properties:
        company_name:
          x-stoplight:
            id: tzxfj33f8gp7u
        recipient:
          description: "example: Johny Bobby"
          x-stoplight:
            id: 0a2kd998hcax0
        street_with_house_number:
          x-stoplight:
            id: 638knfjj71feo
        zip:
          x-stoplight:
            id: 895sntsep742f
        city:
          x-stoplight:
            id: por5lcvrqq1ze
      x-stoplight:
        id: rzhq1mpw10uip
    nfcReorder_request:
      properties:
        address:
          $ref: '#/components/schemas/nfcReorder_request_address'
        channel_id:
          x-stoplight:
            id: zom41fzzyi0il
        customer_experience_id:
          x-stoplight:
            id: 57fl6gotim9e6
        user_id:
          x-stoplight:
            id: txpjtetfyca6a
    nfcReorder_200_response:
      example:
        link: ""
      properties:
        link:
          x-stoplight:
            id: fjwtuh98orxjz
    listNfcOrders_200_response_address:
      example:
        street_with_house_number: ""
        zip: ""
        city: ""
        company_name: ""
        recipient: ""
      properties:
        company_name:
          x-stoplight:
            id: zg51ulg3cdma6
        recipient:
          description: "example: Johny Bobby"
          x-stoplight:
            id: s1m7ywukgfxzp
        street_with_house_number:
          x-stoplight:
            id: z24lbhsio74gk
        zip:
          x-stoplight:
            id: 03e236dmriqsu
        city:
          x-stoplight:
            id: 1mb4ygvpuv20a
      x-stoplight:
        id: aj8fzval634j4
    listNfcOrders_200_response:
      example:
        address:
          street_with_house_number: ""
          zip: ""
          city: ""
          company_name: ""
          recipient: ""
        customer_experience_id: ""
        user_id: ""
        entrypoint: ""
        channel_id: ""
      properties:
        address:
          $ref: '#/components/schemas/listNfcOrders_200_response_address'
        channel_id:
          x-stoplight:
            id: usgsa5rh2ionf
        customer_experience_id:
          x-stoplight:
            id: k8xkvzwnu6975
        user_id:
          x-stoplight:
            id: xh9b6rcni89sj
        entrypoint:
          x-stoplight:
            id: chom33fn959zg
    createPrintOrder_request_personalization_data:
      properties:
        firstName:
          x-stoplight:
            id: fs1yadhaul7dk
        lastName:
          x-stoplight:
            id: u273xroeq2gys
        email:
          x-stoplight:
            id: yae4obr83ivjz
        phone:
          x-stoplight:
            id: gv2kiyj5igj9h
        jobTitle:
          x-stoplight:
            id: ff787el9ivs6b
        department:
          x-stoplight:
            id: cy0ov60d596df
        branch:
          x-stoplight:
            id: 5tsl5emitd17n
        nfcCode:
          x-stoplight:
            id: dyy34qfctnbb4
        qrCode:
          x-stoplight:
            id: hpmz4ibum52fo
        language:
          x-stoplight:
            id: 6djm8pd5zs99r
        custom1:
          x-stoplight:
            id: di5kb2kj0q0n2
        custom2:
          x-stoplight:
            id: 9ngi6n1s8fq1x
        academicTitle:
          x-stoplight:
            id: 37rf3ubj9mvdv
        organization:
          x-stoplight:
            id: ragl6wcdbnj1l
        link:
          x-stoplight:
            id: 2vsoh0x17hmga
        street:
          x-stoplight:
            id: vcsnby6sqxqvv
        streetNumber:
          x-stoplight:
            id: gaf63ylhj1qqj
        doorNumber:
          x-stoplight:
            id: j2x5ecjwfnskd
        zip:
          x-stoplight:
            id: wot5vzvhepou0
        city:
          x-stoplight:
            id: svcv1oyaqlgbh
        country:
          x-stoplight:
            id: 9unqa1g4w2brr
        senderName:
          x-stoplight:
            id: lyspg8b3d6qus
        senderStreet:
          x-stoplight:
            id: fhf9jmfmbqnft
        SenderStreetNo:
          x-stoplight:
            id: swsg0ksr8ii70
        senderDepartment:
          x-stoplight:
            id: ur6fc0vakkpbq
        senderBranch:
          x-stoplight:
            id: 54jbkxcmfxh4d
        senderOrganization:
          x-stoplight:
            id: wf7zc749cq9aw
        senderCity:
          x-stoplight:
            id: x5zam52m4g83s
        senderCountry:
          x-stoplight:
            id: izany1it2ux8x
        senderZip:
          x-stoplight:
            id: xjpkc6ywatwvi
        date:
          x-stoplight:
            id: 470k1yvdywfy2
      x-stoplight:
        id: e0bjh0x5ouf4p
    createPrintOrder_request_production_data:
      properties:
        referenceId:
          x-stoplight:
            id: hjv0m3ug0um0w
        date:
          x-stoplight:
            id: tkmuf4efqtqy4
        productId:
          x-stoplight:
            id: 0xwr6v2saol5b
        quantity:
          x-stoplight:
            id: 8j8iup5rgw1gr
        deliveryContact:
          $ref: '#/components/schemas/PolyprintContact'
        billingContact:
          $ref: '#/components/schemas/PolyprintContact'
        expectedDeliveryDate:
          x-stoplight:
            id: sg84d25a194jg
        nfcCode:
          x-stoplight:
            id: yrqt9kfsr6sxl
      required:
      - billingContact
      - date
      - deliveryContact
      - expectedDeliveryDate
      - productId
      - quantity
      - referenceId
      x-stoplight:
        id: 0tyatxs8m18aw
    createPrintOrder_request:
      properties:
        document_id:
          x-stoplight:
            id: zg1prphulr2oc
        print_type:
          enum:
          - nfc
          - postcard
          x-stoplight:
            id: 2wv3rk5xnak0s
        personalization_data:
          $ref: '#/components/schemas/createPrintOrder_request_personalization_data'
        channel_id:
          x-stoplight:
            id: e2dkekrfs8ge6
        transaction_id:
          x-stoplight:
            id: vi07qgkypbcgl
        production_data:
          $ref: '#/components/schemas/createPrintOrder_request_production_data'
        user_id:
          x-stoplight:
            id: 4570ih3xmc3ik
        customer_experience_id:
          x-stoplight:
            id: kphlf8m7ca3in
      required:
      - channel_id
      - document_id
      - personalization_data
      - print_type
      - production_data
      - transaction_id
    createPrintOrder_200_response:
      example:
        mime: ""
        files: ""
      properties:
        mime:
          description: |
            either application/pdf or image/jpeg depending on "mode"
          x-stoplight:
            id: gqcpu5689bf8k
        files:
          description: array of binary streams
          items:
            x-stoplight:
              id: am9p8qo8do50j
          x-stoplight:
            id: f7ekgjl5fzwp8
    PolyprintContact_address:
      properties:
        countryId:
          x-stoplight:
            id: 3682e27rf4tgb
        street:
          x-stoplight:
            id: 8uupehd698dur
        zipCode:
          x-stoplight:
            id: 28hrlcf2h7l1w
        city:
          x-stoplight:
            id: i29lgiogohc35
        state:
          x-stoplight:
            id: 52z2jkbtsujjh
        houseNo:
          x-stoplight:
            id: 37292ikex5y6q
      x-stoplight:
        id: 7ylpmxrbsgyzi
  securitySchemes:
    Authorization:
      scheme: bearer
      type: http
x-stoplight:
  id: sszlsdq5dvgch
